Psi

Psi (nesprávně PSI) je jedním z nejpoužívanějších a nejoblíbenějších klientů čistě pro XMPP/Jabber. Mezi oficiálně podporované platformy patří GNU/Linux, Mac OS X a MS Windows.

Tento program využívá QT knihovnu, proto dobře zapadá do prostředí KDE.

Instalace

Nainstalujte balík psi.

Odstranění

Odstraňte balík psi.

Tipy, triky

Zaregistrujte se na http://www.google.com/talk/

Podrobný návod na nastaveni google talk účtu.

Psi má problémy s příjmem souborů - Pokud jste za NATem je nutno nastavit jabber proxy.

Psi podporuje standard OpenPGP, který je znám pro šifrování emailů. Pro fungování v Psi je třeba mít nainstalován balík qca-tls a gnupg. Pro fungování je třeba vytvořit si privátní klíč. Ten je pak nutno nastavit ve vašem účtu, vybráním patřičného ID klíče. Po spuštění Psi budete muset vždy zadat heslo ke klíči.

Pro šifrovanou komunikaci je pak třeba mít uložen veřejný klíč daného kontaktu, který vám Psi nabídne při odeslání zprávy se zámkem.

A když to nejde je třeba nainstalovat následující

sudo apt-get install libqca2 libqca2-plugin-gnupg

Pokud si chcete Psi 0.13 zprovoznit sami a nechcete čekat, než vznikne balíček, který se objeví asi až v následující verzi ubuntu, tak si psi zkompilujte sami. Vyžaduje to ale doinstalovat dev (vývojové) balíčky. To vyžadují závislosti kompilované aplikace.

sudo apt-get install build-essential libqt4-dev libqca2-dev libxss-dev libaspell-dev

Stáhneme si zdrojový tarball, pustíme se do kompilace a instalace.

sudo su -
mkdir -p /tmp/install/; cd /tmp/install/
wget -c http://downloads.sourceforge.net/psi/psi-0.13.tar.bz2
tar xvjf psi-0.13.tar.bz2
cd psi-0.13
./configure
Configuring Psi ...
Verifying Qt 4 build environment ... ok
Checking for Qt >= 4.4.0 ... yes
Checking for bundled QCA 2.0 ... yes
Checking for OpenSSL ... yes
Checking for zlib ... yes
Checking for certstore ... /etc/ssl/certs/ca-certificates.crt
Checking for QDBUS ... yes
Checking for the XScreenSaver extension ... yes
Checking for gethostbyname_r() ... yes
Checking for Aspell support ... yes

Good, your configure finished. Now run /usr/bin/make.

make
make install

Nová verze Psi přináší novou funkcionalitu a tou je hlasová komunikace. Psi k tomu používá PsiMedia, což je abstraktní vrstva umožňující Audio a Video za pomocí GStreamer. Pro tento SW též zatím neexistuje žádný balíček. Proto si ji též zkompilujeme ručně.

sudo apt-get install libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev liboil0.3-dev libspeexdsp-dev

Samotná kompilace je obdobná …

sudo su -
mkdir -p /tmp/install/; cd /tmp/install/
wget -c http://delta.affinix.com/download/psimedia/psimedia-1.0.3.tar.bz2
tar xvjf psimedia-1.0.3.tar.bz2
cd psimedia-1.0.3
./configure
Configuring PsiMedia ...
Verifying Qt 4 build environment ... ok
Checking for Qt >= 4.4.0 ... yes
Checking for glib >= 2.0 ... yes
Checking for gobject >= 2.0 ... yes
Checking for gthread >= 2.0 ... yes
Checking for gstreamer >= 0.10.22 ... yes
Checking for gstreamer-base >= 0.10.22 ... yes
Checking for gstreamer-interfaces >= 0.10.22 ... yes
Checking for gstreamer-audio >= 0.10.22 ... yes
Checking for gstreamer-video >= 0.10.22 ... yes
Checking for gstreamer-netbuffer >= 0.10.22 ... yes
Checking for gstreamer-rtp >= 0.10.22 ... yes
Checking for liboil >= 0.3 ... yes
Checking for speexdsp >= 1.2rc1 ... yes

Good, your configure finished. Now run /usr/bin/make.

make
make install

Ještě doporučuji toto:

sudo mkdir -p /usr/local/lib/psi/plugins/
sudo cp gstprovider/libgstprovider.so /usr/local/lib/psi/plugins/

Tento postup je spíše pro zkušeného uživatele, ale postup je funkční alespoň na Ubuntu 9.04.

Pro fungování Voice je třeba provést drobnou konfiguraci Psi, která je popsána u Psi+JE od Jabbim.

Odkazy

  • Poslední úprava: 2012/08/05 17:25
  • autor: Ubuntu